<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Sessions|Active Sessions|Command Shell Session">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to interact with command shell sessions. " /><title>Interacting with Command Shell Sessions</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#09-sessions/interacting-command-shell-session.html">Open topic with navigation</a>
        </p>
        <h3>Interacting with Command Shell Sessions</h3>
        <p>The <a name="kanchor114"></a>command shell functions as a terminal emulator. You can use the command shell to run any non-interactive process on the target host.</p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>You must have open sessions in order to use the command shell.</p>
        <ol>
            <li value="1">From within a project, click the <b class="UISelection">Sessions </b>tab.</li>
            <li value="2">When the Sessions window appears, click on the active session that you want to open. The session must be a shell session.</li>
            <li value="3">Click <b class="UISelection">Command Shell</b> from the Available Actions area. A simulated command shell opens in a new tab in the browser window.</li>
        </ol>
        <p>&#160;</p>
    </body>
</html>